umbrello: Docbook2XhtmlGeneratorJob Class Reference

umbrello 2.38.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Signals | Public Member Functions | Protected Member Functions | Private Attributes | List of all members
Docbook2XhtmlGeneratorJob Class Reference

Generates XHtml from Docbook. More...

`#include <docbook2xhtmlgeneratorjob.h>`

Inheritance diagram for Docbook2XhtmlGeneratorJob:

## Signals
void | xhtmlGenerated (const QString &)

## Public Member Functions
| Docbook2XhtmlGeneratorJob (QUrl &docBookUrl, QObject *parent)

## Protected Member Functions
void | run ()

## Private Attributes
QUrl | m_docbookUrl

## Detailed Description

Generates XHtml from Docbook.

This class is used to generate XHTML from Docbook. It emits the name of the temporary file to which it as generated the XHtml as output. It runs in a separate thread.

Author
  Sharan Rao Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ Docbook2XhtmlGeneratorJob()

Docbook2XhtmlGeneratorJob::Docbook2XhtmlGeneratorJob | ( | QUrl & | docBookUrl,
|  | QObject * | parent
| ) |  |

Constructor

Parameters

  docBookUrl | The Url of the Docbook that is to be converted to XHtml
  parent | Parent object for QThread constructor

## Member Function Documentation

## ◆ run()

void Docbook2XhtmlGeneratorJob::run | ( |  | ) |
| protected

## ◆ xhtmlGenerated

void Docbook2XhtmlGeneratorJob::xhtmlGenerated | ( | const QString & |  | ) |
| signal

## Member Data Documentation

## ◆ m_docbookUrl

QUrl Docbook2XhtmlGeneratorJob::m_docbookUrl
| private

The documentation for this class was generated from the following files:

- umbrello/docgenerators/docbook2xhtmlgeneratorjob.h
- umbrello/docgenerators/docbook2xhtmlgeneratorjob.cpp